<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" />
<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "GF2150"
	title	= "XML出力"
	date	= "2008/10/27"
	author	= "Hiroki.Nakamura"
	text	= ""
	version	= "001"
/>

<og:columnCheck
	command   = "{@command}"
/>

<og:value command="SET" key="BASE_DIR" value="{@SYS.REAL_PATH}{@SYS.FILE_URL}{@USER.ID}/dbdef/{@SYSTEM_ID}" />

<table border="1" frame="box" rules="all" >

<!-- GF01 作成 -->
<tr><td><og:text>{@LBL.GF01}</og:text></td><td>(GF01 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,TABLESPACE_NAME,NAME_JA,
					FILE_NAME,SIZE_AUTO,SIZE_DATA,STATUS,FGJ
			from GF01
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by TABLESPACE_NAME,NAME_JA,TBLSYU
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF01.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF01" />
		<og:writeTableParam key="First" >
			delete from GF01 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF02 作成 -->
<tr><td><og:text>{@LBL.GF02}</og:text></td><td>(GF02 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,TABLE_NAME,NAME_JA,SKENSU,JKENSU,TABLESPACE_NAME,
					INITIAL_AUTO,INITIAL_EXTENT,COMMENTS,FGJ
			from GF02
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by TABLE_NAME,NAME_JA,TBLSYU
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF02.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF02" />
		<og:writeTableParam key="First" >
			delete from GF02 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF05 作成 -->
<tr><td><og:text>{@LBL.GF05}</og:text></td><td>(GF05 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,TABLE_NAME,CLM,SEQNO,NAME_JA,CLS_NAME,
					USE_LENGTH,DATA_DEFAULT,NOT_NULL,FGCOM,RENDERER,EDITOR,DBTYPE,BIKO,FGJ
			from GF05
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by TABLE_NAME,CLM,SEQNO,TBLSYU
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF05.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF05" />
		<og:writeTableParam key="First" >
			delete from GF05 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF06 作成 -->
<tr><td><og:text>{@LBL.GF06}</og:text></td><td>(GF06 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,TABLE_NAME,INDEX_NAME,NAME_JA,INDTYPE,
					TABLESPACE_NAME,INITIAL_AUTO,INITIAL_EXTENT,NEXT_EXTENT,BIKO,FGJ
			from GF06
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by TABLE_NAME,INDEX_NAME,TBLSYU
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF06.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF06" />
		<og:writeTableParam key="First" >
			delete from GF06 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF07 作成 -->
<tr><td><og:text>{@LBL.GF07}</og:text></td><td>(GF07 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,TABLE_NAME,INDEX_NAME,CLM,SEQNO,FGJ
			from GF07
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by TABLE_NAME,INDEX_NAME,CLM,SEQNO,TBLSYU
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF07.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF07" />
		<og:writeTableParam key="First" >
			delete from GF07 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF09 作成 -->
<tr><td><og:text>{@LBL.GF09}</og:text></td><td>(GF09 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,SEQNAME,INCREBY,STARTVAL,MINVAL,MAXVAL,FGCYCLE,SUCACHE,TABLE_NAME,CLM,FGJ
			from GF09
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by SEQNAME
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF09.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF09" />
		<og:writeTableParam key="First" >
			delete from GF09 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

<!-- GF81 作成 -->
<tr><td><og:text>{@LBL.GF81}</og:text></td><td>(GF81 XML File)</td>
  <td>
	<og:query command="{@command}" debug="{@debug}" maxRowCount="0">
			select SYSTEM_ID,TBLSYU,OBJ_NAME,SEQNO,CLM,CLS_NAME,USE_LENGTH,TABLE_NAME,MAX_LENGTH,CLM_NAME,CDKH,FGJ
			from GF81
			where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}')
			and   TBLSYU like '{@TBLSYU}%'
			and   FGJ       = '1'
			order by SEQNO
	</og:query>
  </td>
  <td width="70px" class="S9">
	<og:value command="GET" key="DB.COUNT" />
  </td>
	<og:writeTable
		fileURL        = "{@BASE_DIR}"
		filename       = "GF81.xml"
		writerClass    = "XML"
		encode         = "UTF-8" >
		<og:writeTableParam key="TableName" value="GF81" />
		<og:writeTableParam key="First" >
			delete from GF81 where SYSTEM_ID in ('{@SYSTEM_ID}','{@AST_GE}') and TBLSYU like '{@TBLSYU}%'
		</og:writeTableParam>
	</og:writeTable>
</tr>

</table>

<br />
<og:text>{@BASE_DIR} Saved</og:text>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
